Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/feed/getfeed

# Cross-domain activity feed

GET `https://api.rewind.rest/v1/feed`

Returns a cross-domain activity feed with cursor-based pagination.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Query Parameters

#### cursor (query, string)

Cursor for pagination (feed item ID)

#### limit (query, string)

Number of items per page (1-100, default 50)

#### date (query, string)

Single day (YYYY-MM-DD). Overrides from/to.

#### from (query, string)

Range start, inclusive (ISO 8601)

#### to (query, string)

Range end, inclusive (ISO 8601)

## Response

#### 200

Activity feed items with cursor pagination

#### data (array of object, required)

#### properties

#### id (number, required)

#### domain (string, required)

#### event\_type (string, required)

#### occurred\_at (string, required)

#### title (string, required)

#### subtitle (string, required)

#### image\_key (string, required)

#### source\_id (string, required)

#### metadata (object)

#### created\_at (string, required)

#### pagination (object, required)

#### properties

#### next\_cursor (string, required)

#### has\_more (boolean, required)

#### limit (number, required)

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/feed' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/feed', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/feed',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "data": [
    {
      "id": 0,
      "domain": "string",
      "event_type": "string",
      "occurred_at": "string",
      "title": "string",
      "subtitle": "string",
      "image_key": "string",
      "source_id": "string",
      "metadata": {},
      "created_at": "string"
    }
  ],
  "pagination": {
    "next_cursor": "string",
    "has_more": true,
    "limit": 0
  }
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```
